From 1c12cc873e67e9423a8e97974103ea774db29bb2 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Jul 18 2017 13:41:54 +0000
Subject: [PATCH 899/1001] Ansible role: OIDC needs larger Nginx buffers


---

diff --git a/ansible/roles/hubs/files/nginx_proxy_params b/ansible/roles/hubs/files/nginx_proxy_params
index f4ebcd7..8d22239 100644
--- a/ansible/roles/hubs/files/nginx_proxy_params
+++ b/ansible/roles/hubs/files/nginx_proxy_params
@@ -4,3 +4,6 @@ proxy_set_header Host $http_host;
 # we don't want nginx trying to do something clever with
 # redirects, we set the Host: header above already.
 proxy_redirect off;
+# OpenID Connect uses large headers, we need bigger buffers.
+proxy_buffer_size 128k;
+proxy_buffers 8 256k;

